<div class="header">
  <div>
    <h2>{{ trainingInstance?.title }}</h2>
    <h3>
      of Adaptive Training Definition:
      <button class="link-button definition-title" mat-button color="primary" [routerLink]="adaptiveDefinitionLink">
        {{ trainingDefinition?.title }}
      </button>
    </h3>
    <p>{{ trainingDefinition.description }}</p>
  </div>
  <sentinel-controls [controls]="infoControls" (itemClicked)="onInfoControlAction($event)"></sentinel-controls>
</div>
<div class="icon-panel-container">
  <div class="data-field">
    <mat-icon class="material-icons-round"> hourglass_top </mat-icon>
    <div class="icon-label">Start Time</div>
    <div class="value-field">{{ trainingInstance.startTime | sentinelDateTimeFormat }}</div>
  </div>
  <div class="data-field">
    <mat-icon class="material-icons-round"> hourglass_bottom </mat-icon>
    <div class="icon-label">End Time</div>
    <div class="value-field">{{ trainingInstance.endTime | sentinelDateTimeFormat }}</div>
  </div>
  <div class="data-field">
    <mat-icon class="material-icons-round"> view_comfy </mat-icon>
    <div class="icon-label">Assigned Pool</div>
    <button
      mat-button
      color="primary"
      class="value-field link-button"
      *ngIf="trainingInstance.hasPool(); else noPool"
      [routerLink]="poolIdLink"
    >
      Pool {{ trainingInstance.poolId }}
    </button>

    <ng-template #noPool>
      <span class="value-field">No assigned pool</span>
    </ng-template>
  </div>
  <div class="data-field">
    <mat-icon class="material-icons-outlined">pin</mat-icon>
    <div class="icon-label">Access Token</div>
    <button mat-button color="primary" class="value-field link-button" matTooltip="Click to copy access token"
    [cdkCopyToClipboard]="trainingInstance.accessToken"
    (click)="onCopyToken()">
      {{ trainingInstance.accessToken }}
    </button>
  </div>
</div>
